# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	X.org input driver for Wacom tablets
Name:		x11-driver-input-wacom
Version:	0.34.0
Release:	1
Group:		System/X11
License:	GPLv2+
Url:		http://www.x.org/
Source0:	http://freefr.dl.sourceforge.net/project/linuxwacom/xf86-input-wacom/xf86-input-wacom-%{version}.tar.bz2
Patch0:		xf86-input-wacom-0.19.0-fix-linking.patch
# Always restart wacom unit. It fixes gdm stuck on some touchscreens
Patch1:		xf86-input-wacom-0.28.0-always-restart.patch
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xrandr)
Requires:	x11-server-common %(xserver-sdk-abi-requires xinput)
Provides:	linuxwacom = %{version}-%{release}

%description
X.Org X11 wacom input driver for Wacom tablets.

%files
%{_bindir}/xsetwacom
%{_bindir}/isdv4-serial-debugger
%{_bindir}/isdv4-serial-inputattach
%{_libdir}/xorg/modules/input/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_mandir}/man1/xsetwacom.1*
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
/lib/udev/rules.d/69-input-wacom.rules
%{_unitdir}/wacom-inputattach@.service
#----------------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/X11
License:	MIT

%description devel
Development files for %{name}.

%files devel
%{_includedir}/xorg/*
%{_libdir}/pkgconfig/xorg-wacom.pc

#----------------------------------------------------------------------------

%prep
%setup -q -n xf86-input-wacom-%{version}
%apply_patches

%build
mkdir -p m4
autoreconf -fiv

%configure2_5x \
	--disable-static \
	--with-systemd-unit-dir=%{_unitdir} \
	--with-udev-rules-dir=/lib/udev/rules.d/
%make

%install
%makeinstall_std
mv %{buildroot}/lib/udev/rules.d/wacom.rules %{buildroot}/lib/udev/rules.d/69-input-wacom.rules

%changelog

* Mon Dec 12 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 0.34.0-1
- (cda6dfe) Updated to version 0.34.0


